﻿package com.Tutorial 
{
	/**
	 * ...
	 * @author Stephen Lavelle
	 */
	import com.Tutorial.Transformation;	
	import org.flashdevelop.utils.FlashConnect;
	import com.Tutorial.LevelData;
	
	public class LevelFactory
	{
		[Embed(source="../../data/levels.txt",mimeType="application/octet-stream")] private var _levelDefs:Class;

		private var _levels:Array;
		
		public function LevelFactory() 
		{
			var str:String = new _levelDefs();
			var rows:Array = str.split("\n");

			_levels = new Array();
			for (var i:int = 0; i < rows.length; i++)
			{
				_levels.push(new LevelData(rows[i]));
			}
			
		}
		
		public function GetLevel(n:int):LevelData
		{
			return _levels[n];
		}
		
		public function GetTitle(n:int):String
		{
			return _levels[n].title;
		}
		
	}

}