﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    
    public class MenuState extends FlxState
    {
		[Embed(source="../../data/cursor.png")] public static var ImgCursor:Class;
		[Embed(source = "../../data/open.mp3")] public static var SndOpen:Class;
		[Embed(source = "../../data/tinbox.mp3")] private var SndTitle:Class;
		
		private var bClosing:Boolean;
		
		private var bNewGame:Boolean;
		
		private var _b1:FlxButton;
		private var _b2:FlxButton;
        override public function MenuState():void
        {
			bNewGame = true;
			
			FlxG.setMusic(SndTitle);
			FlxG.flash(0xff000000, 1);
			bClosing = false;
            this.add(new FlxText(0, 100, FlxG.width, 80, "Theatrics", 0xffffffff, null, 16, "center")) as FlxText;
			
			checksave();

			_b1= new FlxButton(
					40,
					140,
					new FlxSprite(null, 0, 0, false, false, FlxG.width - 80, 15, 0xff423954), 
					onClickNew, 
					new FlxSprite(null, 0, 0, false, false, FlxG.width - 80, 15, 0xffbaaad2), 
					new FlxText(0,1, FlxG.width-80, 15, "Begin Performance", 0xffffffff,null,8,"center"), 
					new FlxText(0,1, FlxG.width-80, 15, "Begin Performance", 0xfffff161,null,8,"center")
					);	
					
			this.add(_b1);
					
			_b2 = new FlxButton(
				40,
				165,
				new FlxSprite(null, 0, 0, false, false, FlxG.width - 80, 15, 0xff423954), 
				onClickContinue, 
				new FlxSprite(null, 0, 0, false, false, FlxG.width - 80, 15, 0xffbaaad2), 
				new FlxText(0,1, FlxG.width-80, 15, "Continue Performance", 0xffffffff,null,8,"center"), 
				new FlxText(0,1, FlxG.width-80, 15, "Continue Performance", 0xfffff161,null,8,"center")
				);
				
			trace("SAVEDATA", FlxG.FlxSave.data.counter);
			
			if (FlxG.FlxSave.data.counter > 0)
				this.add(_b2);
			
			
			FlxG.setCursor(ImgCursor);
        }
        
        override public function update():void
        {
            super.update();
        }
		
        private function onFade():void
        {
            FlxG.switchState(IntroState);
        }
		
		private function onClickNew():void
		{
			resetsave();
            onClickContinue();
		}
		
		private function onClickContinue():void
		{
			_b1.active = false;
			_b2.active = false;
			bClosing = true;
			FlxG.fade(0xff000000, 2, onFade,true);	
			FlxG.play(MenuState.SndOpen); 
			FlxG.level = FlxG.FlxSave.data.counter;

		}
		
		public function checksave():void
		{
			if (FlxG.FlxSave.data.counter == null) 
			{
				FlxG.FlxSave.data.counter = 0;
			} 
			
			FlxG.FlxSave.flush();
			FlxG.level = FlxG.FlxSave.data.counter;
		}
	
		public static function resetsave():void
		{
			FlxG.FlxSave.data.counter = 0;
			FlxG.FlxSave.flush();
			FlxG.level = 0;
		}
    }
}