﻿package com.Tutorial 
{
	import com.adamatomic.flixel.FlxSprite;
	/**
	 * ...
	 * @author Stephen Lavelle
	 */
	public class PlayerSprite extends FlxSprite
	{
		[Embed(source = "../../data/spritesheet.png")] private var SpriteSheet:Class;
		private var _spritenum:int;
		
		public function PlayerSprite(px:int,py:int,spritenum:int) 
		{
			super(SpriteSheet, px, py, false, false, 15, 15, 0x00000000);	
			_spritenum = spritenum;
		}
		
		public function SetState(object:Boolean,powerful:Boolean,victim:Boolean,sprite:int=-1):void
		{
			if (sprite != -1)
				_spritenum = sprite;
			var sx:int;
			sx = _spritenum;
			if (powerful)
			{
				sx += 8;
			}
			if (victim)
			{
				sx += 16;
			}
			if (object)
			{
				sx += 32;
			}

			specificFrame(sx);
		}
		
	}

}