﻿package com.Tutorial 
{
    import com.adamatomic.flixel.*;
	/**
	 * ...
	 * @author Stephen Lavelle
	 */
	public class Presents extends FlxState
	{
		private var _introTimer:Number;
		private var _pressed:Boolean;
		private var _gameOver:Boolean;
		
		public function Presents():void
		{
			FlxG.flash(0xff000000, 1);
			_introTimer = 2;
			_pressed = false;
		
			this.add(new FlxText(0, (FlxG.height / 2) - 80, FlxG.width, 80, "The", 0xffffffff, null, 16, "center")) as FlxText;			
			this.add(new FlxText(0, (FlxG.height / 2) - 60, FlxG.width, 80, "Increpare", 0xffffffff, null, 16, "center")) as FlxText;			
			this.add(new FlxText(0, (FlxG.height / 2) - 40, FlxG.width, 80, "Theatre", 0xffffffff, null, 16, "center")) as FlxText;			
			this.add(new FlxText(0, (FlxG.height / 2) - 20, FlxG.width, 80, "Company", 0xffffffff, null, 16, "center")) as FlxText;			
			this.add(new FlxText(0, (FlxG.height / 2) , FlxG.width, 80, "Proudly", 0xffffffff, null, 16, "center")) as FlxText;			
			this.add(new FlxText(0, (FlxG.height / 2) +20, FlxG.width, 80, "Presents...", 0xffffffff, null, 16, "center")) as FlxText;			
		}
		
		
        override public function update():void
		{
			_introTimer -= FlxG.elapsed;
			
			if (FlxG.justPressed(FlxG.A || FlxG.B))
			{
				_pressed = true;
			}
			
			if (_introTimer <= 0 || (_pressed && _introTimer<2.5))
			{
				FlxG.fade(0xff000000, 1, onFade);	
			}
			super.update();
		}
		
		private function onFade():void 
		{
			FlxG.switchState(MenuState);
		}
		
	}

}