﻿package com.Tutorial 
{
	/**
	 * ...
	 * @author Stephen Lavelle
	 */
	import com.Tutorial.Transformation;	
	import org.flashdevelop.utils.FlashConnect;
	
	public class TransformationFactory
	{
		[Embed(source="../../data/transformations.txt",mimeType="application/octet-stream")] private var _transDefs:Class;

		private var _transformations:Array;
		
		public function TransformationFactory() 
		{
			var str:String = new _transDefs();
			var rows:Array = str.split("\n");

			_transformations = new Array();
			for (var i:int = 0; i < rows.length; i++)
			{
				_transformations.push(new Transformation(rows[i]));
			}
			
		}
		
		public function GetTransformation(name:String):Transformation
		{
			name = Transformation.trim(name.toLowerCase());
			for (var i:int = 0; i < _transformations.length; i++)
			{
				var t:Transformation = _transformations[i];
				if (t.ReferenceName.toLowerCase() == name.toLowerCase())
					return t;
			}
			trace("transformation not found EEK:"+name+".");
			trace(name);
			
			return null;
		}
		
	}

}