﻿package com.Tutorial 
{
	/**
	 * ...
	 * @author Stephen Lavelle
	 */
	import com.Tutorial.Transformation;	
	import org.flashdevelop.utils.FlashConnect;
	import com.Tutorial.LevelData;
	
	public class NameFactory
	{
		[Embed(source="../../data/names.txt",mimeType="application/octet-stream")] private var _levelDefs:Class;

		private var _names:Array;
		
		public function NameFactory() 
		{
			var str:String = new _levelDefs();
			_names = str.split("\n");

			for (var i:int = 0; i < _names.length; i++)
			{
				_names[i] = Transformation.trim(_names[i]);
			}
			
		}
		
		public function GetName():String
		{
			var n:int;
			n = Math.floor(Math.random() * _names.length);
			var s:String;
			s = _names[n];
			_names.splice(n,1);
			
			return s;
		}
		
		public function NameCount():int
		{
			return _names.length;
		}
	}

}