﻿package com.Tutorial
{
    import com.adamatomic.flixel.*;
    
    public class SummaryState extends FlxState
    {
		[Embed(source="../../data/cursor.png")] private var ImgCursor:Class;
		[Embed(source = "../../data/open.mp3")] private var SndOpen:Class;
		[Embed(source = "../../data/tinbox.mp3")] private var SndTitle:Class;
		
		private var bClosing:Boolean;
		private var _btn:FlxButton;
		
        override public function SummaryState():void
        {
			FlxG.setMusic(SndTitle);
			FlxG.flash(0xff000000, 1);
			bClosing = false;
			var t:FlxText;
			t = new FlxText(5, 25, FlxG.width-10, FlxG.height-25, "", 0xffffffff, null, 8, "left");
			t.setText(FlxG.gstring, true);
			var lf:LevelFactory =  new LevelFactory;
			this.add(new FlxText(0, 1, FlxG.width, 16,lf.GetTitle(FlxG.level) , 0xffffffff, null, 16, "center")); 
            this.add(t);
			t.update();
			_btn=new FlxButton(180, 240,
					new FlxSprite(null, 0, 0, false, false, 60, 15, 0xff605060  ), 
					onClick, 
					new FlxSprite(null, 0, 0, false, false, 60, 15,  0xff62546d  ), 
					new FlxText(0, 0, 60, 15, "Continue", 0xff000000 , null, 8, "center"), 
					new FlxText(0, 0, 60, 15, "Continue", 0xff000000 , null, 8, "center"));
			this.add(_btn);
			
			FlxG.setCursor(ImgCursor);
        }
        
        override public function update():void
        {
            super.update();
        }
		
        private function onFade():void
        {
			FlxG.level++;
			FlxG.FlxSave.data.counter = FlxG.level;
			FlxG.FlxSave.flush();
            FlxG.switchState(IntroState);
        }
		
		private function onClick():void
		{
			bClosing = true;
			FlxG.fade(0xff000000, 2, onFade,true);	
			FlxG.play(SndOpen);      
			_btn.active = false;
		}
    }
}